package bowling;

import java.util.List;

class LastFrame extends Frame {
    LastFrame(List<Frame> frames) {
        super(frames);
        pinsDropped = new Throw[3];
        pinsDropped[0] = new Throw();
        pinsDropped[1] = new Throw();
        pinsDropped[2] = new Throw();

    }

    protected int requiredThrowsForFrame() {
        if (isStrike() || isSpare()) {
            return 3;
        } else {
            return 2;
        }
    }

    protected Throw secondThrowForScoring() {
        return getThrow(1);
    }

    protected Throw scoreCurrentFrame() {
        if (isSpare() || isStrike()) {
            return getThrow(0).add(getThrow(1)).add(getThrow(2));
        } else {
            return super.scoreCurrentFrame();
        }
    }
}
