package bowling;

class Throw {
    private Integer pinsDropped;

    Throw() {
    }

    Throw(int pinsDropped) {
        this.pinsDropped = new Integer(pinsDropped);
    }

    Throw add(Throw anotherScore) {
        if (pinsDropped == null || anotherScore.pinsDropped == null) {
            return new Throw();
        }

        return new Throw(pinsDropped.intValue() + anotherScore.pinsDropped.intValue());
    }

    public String toString() {
        if (pinsDropped == null) {
            return "";
        }
        return pinsDropped.toString();
    }

    int intValue() {
        if (pinsDropped == null) {
            return 0;
        }
        return pinsDropped.intValue();
    }
}
